﻿/*---*Fonts*---*/
@font-face { 
    font-family: 'Abandoned';
    src: url('/fonts/abandoned.ttf') format('opentype'); 
}
@font-face { 
    font-family: 'AirAmericana';
    src: url('/fonts/air-americana.ttf') format('opentype'); 
}
@font-face { 
    font-family: 'Audiowide';
    src: url('/fonts/audiowide.ttf') format('opentype'); 
}
@font-face { 
    font-family: 'BlackOpsOne';
    src: url('/fonts/black-ops-one.ttf') format('opentype'); 
}
@font-face { 
    font-family: 'Exo2';
    src: url('/fonts/exo2.otf') format('opentype'); 
}
@font-face { 
    font-family: 'NK57';
    src: url('/fonts/nk57.ttf') format('opentype'); 
}
@font-face { 
    font-family: 'Orbitron';
    src: url('/fonts/orbitron.ttf') format('opentype'), 
        url('/fonts/orbitron/otf_format.otf') format('opentype'); 
}
@font-face { 
    font-family: 'Oxygen';
    src: url('/fonts/oxygen.ttf') format('opentype'); 
}
@font-face { 
    font-family: 'Pricedown';
    src: url('/fonts/pricedown.otf') format('opentype'); 
}

:root {
    /*--*Default*--*/
    /*Text Colors*/
    --text-color: black;
    --text-color-hover: #555;
    --text-color-disabled: #777;
    --button-text-color: #222;

    /*Background Colors*/
    --body-background: #EFEFEF;
    --bg-light: #CDCDCD;
    --bg-light-hover: #BFBFBF;
    --bg-dark: #BDBDBD;
    --bg-dark-hover: #ABABAB;
    --bg-disabled: #EEE;
    --nav-bg: #CCC;
    --form-element-bg: #DCDCDC;
    --form-element-bg-hover: #F7F7F7;
    --current-page-bg: #AAA;
    --checkbox-color: blue;

    /*Fonts*/
    --title-font: 'Oxygen';
    --font: 'Calibri';

    /*Borders*/
    --border-color: #777;
    --border-color-disabled: #999;

    /*Links*/
    --link-color: blue;
    --link-visited: darkblue;
    --link-color-hover: mediumblue;
    --link-color-visited-hover: navy;

    /*SVGs*/
    --svg-light: black;
    --svg-dark: #555;
    
    /*---Mobile*---*/
    --navbutton-hover: #CCC;
}

/*---*Element Formatting*---*/
* { color: var(--text-color); font-family: var(--font), 'Trebuchet MS', Arial; font-size:16px; }
h1, h2, h3 { font-family: var(--title-font), 'Trebuchet MS', Arial; text-align: center; }
hr { background-color: var(--border-color); border: 1px solid var(--border-color); }
body { background: var(--body-bg) no-repeat fixed center; display:flex; flex-direction:column; gap:0; margin: 0; overflow-y: auto; }
html, body { height:100%; }
li { margin: 13px; }
noscript { font-size: 10px; }
iframe { display: none; }
input[type=checkbox] { height: initial; }

/*--*Page Layout*--*/
/*Home Bar*/
#top { background-color: var(--bg-dark); border-bottom: 1px solid var(--border-color); display: table; margin: 0; padding: 0; width: 100%; }
#top :is(h2, h3) { background-color: var(--bg-dark); display: table-cell; font-family: var(--title-font), 'Trebuchet MS', Arial; height: 80px; max-height: 80px; overflow: hidden; padding: 0 10px; text-align: center; vertical-align: middle; }
#top h3:hover { background-color: var(--bg-dark-hover); cursor: pointer; }

/*Navigation Bar*/
#navbar { background-color: var(--nav-bg); margin-top: 0; overflow: hidden; padding: 3px; text-align: center; white-space: nowrap; }
#links { margin-right: auto; text-align: left; }

#links > span, #links > span a { font-size:18px; }
#links > span a { text-decoration: none; }
.current { background-color: var(--current-page-bg); border-radius: 2px; }
#nav-backdrop { background-color: black; height: 100%; opacity: 0.5; position: fixed; top: 0; width: 100%; z-index: 5; }

/*Scrollbar*/
::-webkit-scrollbar { height: 5px; width: 5px; }
::-webkit-scrollbar-track { background-color: transparent; }
::-webkit-scrollbar-thumb { background-color: gray; }
::-webkit-scrollbar-thumb:hover { background-color: #555; }

/*Content Section*/

:is(content, grid) > :is(section, table) { background-color: var(--bg-light); border: 1px solid var(--border-color); border-radius: 10px; }
grid { display: grid; grid-gap: 10px; }
blogpost { display: block; margin: 16px 32px; border: 1px solid var(--border-color); border-radius: 10px; background-color: var(--bg-light); padding-left: 50px; }
blogpost > section { background: none; }
:is(content, grid) > :is(section, table, grid) { box-sizing: border-box; }
:is(content, grid) > section { background-color: var(--bg-light); display: inline-block; padding: 0 13px; box-sizing: border-box; }
:is(content, grid) > table:not(.display, .review) tr:hover { background-color: var(--background-light-hover); }
:is(content, grid) > section:hover { background-color: var(--bg-light-hover); }
content { display: block; flex:1; overflow-y:auto; }

/*Assorted Classes*/
.alert { border-radius: 0 0 10px 10px; color: white; margin: 0; padding: 10px; }
.alert.bad { background-color: #8F0101; }
.alert.good { background-color: #167500; }
a.civilwar { font-weight: inherit; font-size: inherit; font-family: inherit; color: inherit !important; text-decoration: none; }
.clear { background-color: var(--bg-light); border-radius: 2px; height: 21px; padding: 0; width: 21px; }
.clickable { cursor: pointer; text-decoration: underline dotted var(--text-color-hover); }
.clickable:hover { color: var(--text-color-hover); }
.flex-center { display: flex; flex-direction: column; margin: auto; width: max-content; }
.flex-center > div {margin: 0;}
.footer { display: block; font-size: 12px; margin: 16px 0; padding: 0; margin-left: 12%; }
.hidden { display: none; }
.subsection-title { border-bottom: 1px solid var(--border-color); margin: 12px 2.5%; padding: 4px; text-align: left; display: inline-block; }
.small-text {font-size: 13px;}
.pfp { background-color: #999; border-radius: 75px; height: 90px; margin: 5px; }

/*Pop-Up*/
dialog { background: var(--bg-dark); border: 1px solid var(--border-color); border-radius: 5px; height: 250px; padding: 10px; position: fixed; width: max(36%, 350px); z-index: 10;  }
dialog h1 { margin-top: 10px; }
dialog h3 { border-bottom: 1px solid var(--border-color); margin: 5px; padding: 10px; }
dialog::backdrop { background-color: black; opacity: 0.5; }

/*Login Form*/
.account-form * { font-family: Oxygen; margin-bottom: 2px; }
.account-form h1 { font-family: AirAmericana; font-size: 50px; margin-top: 2px; }
.account-form label { display: inline-block; min-width: 75px; text-align: left; }
.account-form hr { margin: 10px auto; width: 150px; }
.account-form { background-color: var(--bg-dark); display: table; left: calc(50% - 225px); height: 250px; position: absolute; top: calc(50% - 125px); width: 450px; }
.account-form > div { border: 2px solid var(--border-color); display: table-cell; text-align: center; vertical-align: middle; }
.lower-links { display: block; left: calc(50% - 225px); padding: 5px; position: absolute; text-align: center; top: calc(50% + 125px); width: 450px; }
.account-form input:not([type=checkbox]) { width: 150px; }

/*Form Elements*/
input[type=email] { width: 250px; }
button, input, select, textarea, label.fileinput { background-color: var(--form-element-bg); border: 1px solid var(--border-color); border-radius: 2px; box-sizing: border-box; font-size: 14px; height: min-content; padding: 2px; }
:is(button, input, select, textarea, label.fileinput):hover { background-color: var(--form-element-bg-hover); }
button, select, label.fileinput { color: var(--button-text-color); cursor: pointer; padding: 1px 4px; position: relative; text-align: center; box-sizing: border-box; }
label.fileinput { display: flex; align-items: center; justify-content: center; }
input[type=file][data-external] { display: none; }
fileinput, input[type=file] { border: none; background: none; }
:is(button, input, label.fileinput)[disabled] { background-color: var(--bg-disabled); border-color: var(--border-color-disabled); color: var(--text-color-disabled); cursor: default; }
input[type=checkbox] { accent-color: var(--checkbox-color); border-color: var(--border-color); margin-right: 5px; }
textarea { resize: none; }

/*Links*/
a { color: var(--link-color); }
a:hover { color: var(--link-color-hover); }
a:visited { color: var(--link-visited); }
a:visited:hover { color: var(--link-color-visited-hover); }

/*Dialog Box*/
/*TODO:  Fix problem with buttons not being in bottom center of a form.*/
dialog:has(:is(form[id], div)) { position: fixed; z-index: 10; }
dialog > :is(form[id], div) { background-color: var(--bg-dark); display: flex; flex-direction: column; height: calc(100% - 20px); position: absolute; width: calc(100% - 20px); }
dialog > :is(form[id], div) > div { padding: 5px; }
dialog > :is(form[id], div) .desc { flex-grow: 1; position: relative; }
dialog > :is(form[id], div) textarea { display: block; font-size: 16px; height: calc(100% - 10px); margin: 2px 0; padding: 5px; position: absolute; width: calc(100% - 10px); }
dialog > :is(form[id], div) input[type='number'] { width:75px; }
dialog > :is(form[id], div) h2 { border-bottom:1px solid var(--border-color); margin: 10px auto; padding: 10px;
}

/*Message Box*/
#message { border: 1px solid var(--border-color); border-radius: 10px; height: 250px; position: absolute; width: max(36%, 350px); z-index: 10; }
#message button { bottom: 0; font-size: 15px; margin: 7px; position: absolute; right: 0; }

/*Return to Top Button */
#to-top { background-color: var(--bg-light); border: 1px solid var(--border-color); border-radius: 5px; bottom: 10px; color: var(--text-color); font-size: 20px; height: 50px; padding: 4px; position: fixed; right: 10px; width: 50px; z-index: 3; }
#to-top > svg { display: table-cell; height: 40px; margin: auto; width: 40px; }
#to-top:hover { background-color: var(--background-light-hover); }

/*---*Tables*--*/
table.borders { border: 1px solid var(--border-color); border-spacing: 0; }
table.borders :is(td, th):not(:last-child) { border-right: 1px solid var(--border-color); }
table.borders tr:not(:last-child) :is(td, th) { border-bottom: 1px solid var(--border-color); }

/*Shared*/
.display, .review, .results { border-spacing: 0; background-color: var(--bg-light); }
:is(.display, .review) td { text-align: center; vertical-align: top; }

/*Display Table*/
.display .gallery { display: block; margin: auto; max-height: calc(100% - 50px); max-width: 90%; position: relative; }
.display .gallery :is(img, video) { border: none; border-radius: 7px; display: block; margin: auto; max-height: 100%;  max-width: 100%; }
.display img:not(:last-of-type) { display: none; }
.display td { overflow: auto; padding: 5px; }
.display td > div:only-child { height: 350px; position: relative; overflow: hidden; }
.display td .gallery { height: 90%; position: relative; overflow: hidden; }
.display :is(tr, td) { height: 350px; }
.display td:nth-child(2) { overflow: auto; white-space: nowrap; vertical-align: middle; }

.display .row-1 { display: block; font-family: var(--title-font), 'Trebuchet MS', Arial; font-size: 20px; font-weight: bold; margin: 15px auto; text-align: center; }
.display .row-2 { font-size: 15px; font-style: italic; margin: 10px 5px; text-align: right; }
.display .row-3 { font-size: 17px; height: 220px; margin: 5px; overflow: auto; text-align: left; white-space: normal; }
.gallery-ctrls { display: grid; }
.gallery-ctrls button { z-index: 2; }
.gallery-ctrls .back { grid-area: back; }
.gallery-ctrls .next { grid-area: next; }
.gallery-ctrls input { grid-area: input }
.edit-buttons { position: absolute; bottom: 0; right: 0; margin: 5px; }
.edit-buttons button { font-size: 20px; }

/*Review Table*/
.review img { border-radius: 5px; display: block; height: 200px; margin-left: auto; max-width: 300px; margin-right: auto; object-fit: contain; }
.review td { height: 450px; padding: 0 10px; width: 33%; }
.review button { margin: 0; }
.review td h3 { font-size: 18px; font-weight: bold; }
.review td p { font-size: 15px; height: auto; overflow: auto; text-align: left; white-space: normal; }

/*Rounded Corners*/
table.round-corners { border-radius: 10px; }

/*SVGs*/
svg { width: 100%; }
.no-fill { fill: none; }
.no-stroke { stroke: none; }
svg:not(.old) *:not([fill=none]) { fill: var(--svg-light); }
svg:not(.old) *:not([stroke=none]) { stroke: var(--svg-light) }
#top svg { height: 30px; }
defs * { fill: revert-layer !important; stroke: revert-layer !important; }

/*Image Uploads*/

@media screen and (max-width: 799px) {
    /*Home Bar*/
    #top :is(h2, h3) { height: 50px; }
    #top h2 { font-size: 24px; font-weight: 600; padding: 0 5px; }
    #top h3 { border-radius: 5px; padding: 0; width: 50px; }
    #top h3 span { display: none; }
    #top h3 svg { display: block !important; margin: auto; }

    /*Navigation Bar*/
    #navbar { border: 2px solid var(--border-color); border-left: 0; border-radius: 0 10px 10px 0; display: none; height: 90%; left:-150px; position: fixed; top: max(40px, 5%); width: 150px; z-index: 6; }
    #links { float: none; overflow-y: scroll; padding: 0; width: 100%; }
    #links > span { border: 0; display: block; font-size: 20px; margin: 2px; overflow-y: scroll; padding: 0 2px; }
    #links > span a { display: table; margin-bottom: 2px; margin-left: 25px; }
    #links > span > span:is(::before, ::after) { content: ''; }
    .current { border: 0; border-bottom: 1px solid var(--border-color); padding: 0 1px; }
    .nav-button { border: 0; bottom: 5px; display: block; left: 5px; font-size: 25px; height: 50px; position: absolute; width: calc(100% - 10px); }
    .nav-button:hover { background-color: var(--navbutton-hover) }
    content { padding: 25px 0 2.5%; }
    :is(content, grid) > section { border-radius: 10px; padding: 20px; width: 95%; margin-left: 2.5%; margin-bottom: 16px; }
    :is(content, grid) > :is(section, table) { width: 95%; margin-left: 2.5%; }
    .title { background-color: var(--bg-light); border: 1px solid var(--border-color); border-radius: 10px; display: table; font-size:30px; margin: 16px auto; padding: 8px; }

    /*Table*/
    .display :is(tr, td) { height: 250px; max-height: 250px; min-height: 250px; width: 50%;}
    .display td > div:only-child { height: 250px; overflow: hidden; }
    .display .row-1 { font-size: 20px; margin: 7.5px 0; }
    .display .row-2 { font-size: 12px; margin: 5px 0; }
    .display .row-3 { font-size: 15px; height: 150px; margin: 7.5px 0; }
    .gallery-ctrls button { background: transparent; border: 0px; border-radius: 10px; bottom: 0; font-size: 35px; height: 40px; margin: 0px; padding: 0px; position: absolute; width: 50%; }
    .gallery-ctrls button:first-child { left: 0px; }
    .gallery-ctrls button:last-child { right: 0px; }
    .gallery-ctrls button:hover:not([disabled]) { color: var(--text-color-hover); }
    .gallery-ctrls button[disabled] { background: transparent; }
    .gallery-ctrls input { display: none; }

    /*Dialog Box*/
    #f_report-dialog { height: 76%; min-height: 300px; width: 76%; }
    #f_report h1 { font-size: 30px; margin: 10px; padding: 0; }
    #f_report :is(label, input, button, textarea) { font-size: 20px; }
    #f_report .email input { padding: 5px; width: calc(100% - 10px); }
    #f_report .desc { flex-grow: 7; }

    /*Dialog*/
    dialog .buttons { display: flex; gap: 10px; }
    dialog .buttons > button { height: 50px; width: 100%; }

    /*---*Mobile Exclusive*---*/

    /*Enlarged Image*/
    #enlarged-img-dialog { background: transparent; border: 0; height: 100%; position: fixed; top: 0; width: 100%; z-index: 10; }
    #enlarged-img-dialog > div { background: transparent; display: flex; }
    #enlarged-img-dialog img { border: none; border-radius: 7px; display: block; margin: auto; max-height: 600px; max-width: 90%; }
    #enlarged-img-dialog button { background-color: var(--bg-light); border: 1px solid var(--border-color); height: 50px; padding: 0; position: fixed; right: 10px; text-align: center; top: 10px; width: 50px; }
    #enlarged-img-dialog button:hover { background-color: var(--bg-light-hover); }
}

@media screen and (min-width: 800px) {
    /*Home Bar*/
    #top h2 { font-size: 30px; }
    #top h3 { border-radius: 15px; font-size: 20px; min-width: 70px; width: 8%; }
    #top h3#nav-menu, #top h3 svg { display: none; }
    #top h3:not(#nav-menu) { display: table-cell; }
    #top h3 span { display: block; font-size: 20px; }

    /*Navigation Bar*/
    #navbar { border-bottom: 1px solid var(--border-color); display: block; font-size: 18px; position: -webkit-sticky; position: sticky; top: 0; z-index: 3; }
    #links { float: left; overflow-x: auto; overflow-y: hidden; padding: 2px; width: 100%; }
    #links > span { border-left: 1px solid var(--border-color); margin: 0; padding: 5px; }
    #links > span:last-of-type { border-right: 1px solid var(--border-color); }
    #links > span > span:first-of-type::before { content: ' ['; }
    #links > span > span::after { content: ' - '; }
    #links > span > span:last-of-type::after { content: ']'; }
    .current { border: 1px solid var(--border-color); padding: 0 2px; }
    .nav-button { display: none; }

    /*Content Section*/
    .title { display: table; font-size:32px; margin: 20px auto 20px calc(12% + 50px); padding: 4px 0; border-bottom: 1px solid var(--border-color); text-align: left; }
    content { padding: 16px 0; }
    content > :is(section, grid) { width: calc(65% - 42px); }
    :is(content, grid) > section { padding: 20px; }
    content > :not(.title) { margin: 0 auto 16px 12%; width: 65%; }

    /*Table*/
    .gallery-date { border-radius: 4px 4px 0 0; width: min(50%, 200px); }
    .gallery-ctrls { border-radius: 0 0 4px 4px; grid-template: "back input next" / 1fr 30px 1fr; padding: 0; }
    .gallery-ctrls > input { border: 0; text-align: center; z-index: 3; }
    .gallery-ctrls > * { box-sizing: border-box; width: 100%; }
    .gallery-ctrls > button { height: 25px; border: 0; font-size: 16px; height: fit-content; padding: 0; }
    .display td:first-child { width: 60%; }
    .display td:last-child { width: 40%; }
    .display td:nth-child(2) > div:only-child { height: 100%; }
    :is(.gallery-date, .gallery-ctrls) { background-color: var(--form-element-bg); border: 1px solid var(--border-color); font-size: 16px; height: 20px; margin: 0 auto; padding: 1px 4px; width: min(50%, 200px); }

    /*Pop Up Box*/
    #problem .description { height: 150px; }
    dialog .buttons { align-self: flex-end; margin-top:auto; }

}